Which Zulu do you recommend, I am confused?

Which Zulu package do I install???

Do I install this one ? from the installation prerequisites page here, and then select the Zulu link it takes me here. I then download the Zulu 8u163 (zulu8.28.0.1-jdk8.0.163-win_x64.msi)

OR

Do I install the one pointed to from the openhab.org download page here and select the Zulu link which now takes me to here and then I select Zulu 8 for Windows and I can download Zulu 8u202 (zulu8.36.0.1-ca-jdk8.0.202-win_x64.msi)

Which VERSION does Openhab2 work best with?? Are you telling me that I need to stick to Zulu 8u163 or Zulu 8u202???

People forget to update links, that’s natural. Use the newest version of course.

Just want to make sure that my problems are not due to a later version of Zulu

The only reason for zulu to release a newer versions (within a major version product line, like java 8) is because they fixed bugs or improved speed.

I keep getting this error, can you help me out?

019-04-16 11:58:46.474 [WARN ] [.internal.element.HttpContextElement] - Registered http context [null] did not contain a valid http context id
2019-04-16 11:59:00.100 [INFO ] [.dashboard.internal.DashboardService] - Started Dashboard at http://192.168.0.12:8080
2019-04-16 11:59:00.102 [INFO ] [.dashboard.internal.DashboardService] - Started Dashboard at https://192.168.0.12:8443
2019-04-16 11:59:00.610 [INFO ] [thome.model.lsp.internal.ModelServer] - Started Language Server Protocol (LSP) service on port 5007
2019-04-16 11:59:13.917 [INFO ] [thome.model.lsp.internal.ModelServer] - Started Language Server Protocol (LSP) service on port 5007
2019-04-16 11:59:15.883 [INFO ] [thome.model.lsp.internal.ModelServer] - Started Language Server Protocol (LSP) service on port 5007
2019-04-16 11:59:25.101 [INFO ] [org.openhab.ui.paper                ] - FrameworkEvent INFO - org.openhab.ui.paper
org.osgi.framework.BundleException: The bundle class path entry "patch/" could not be found for the bundle "osgi.identity; osgi.identity="org.openhab.ui.paper"; type="osgi.bundle"; version:Version="2.5.0.201904160001""
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findClassPathEntry(ClasspathManager.java:174) ~[?:?]
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.buildClasspath(ClasspathManager.java:152) ~[?:?]
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.<init>(ClasspathManager.java:81) ~[?:?]
	at org.eclipse.osgi.internal.loader.EquinoxClassLoader.<init>(EquinoxClassLoader.java:43) ~[?:?]
	at org.eclipse.osgi.internal.loader.BundleLoader.createClassLoaderPrivledged(BundleLoader.java:316) ~[?:?]
	at org.eclipse.osgi.internal.loader.BundleLoader$2.run(BundleLoader.java:239) ~[?:?]
	at org.eclipse.osgi.internal.loader.BundleLoader$2.run(BundleLoader.java:1) ~[?:?]
	at java.security.AccessController.doPrivileged(Native Method) ~[?:?]
	at org.eclipse.osgi.internal.loader.BundleLoader.getModuleClassLoader(BundleLoader.java:236) ~[?:?]
	at org.eclipse.osgi.internal.framework.EquinoxBundle$1.run(EquinoxBundle.java:595) ~[?:?]
	at org.eclipse.osgi.internal.framework.EquinoxBundle$1.run(EquinoxBundle.java:1) ~[?:?]
	at java.security.AccessController.doPrivileged(Native Method) ~[?:?]
	at org.eclipse.osgi.internal.framework.EquinoxBundle.getModuleClassLoader(EquinoxBundle.java:588) ~[?:?]
	at org.eclipse.osgi.internal.framework.EquinoxBundle.getResource(EquinoxBundle.java:530) ~[?:?]
	at org.apache.servicemix.specs.activation.Activator.register(Activator.java:58) ~[?:?]
	at org.apache.servicemix.specs.locator.Activator.bundleChanged(Activator.java:95) ~[?:?]
	at org.eclipse.osgi.internal.framework.BundleContextImpl.dispatchEvent(BundleContextImpl.java:908) [?:?]
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230) ~[?:?]
	at org.eclipse.osgi.framework.eventmgr.ListenerQueue.dispatchEventSynchronous(ListenerQueue.java:148) ~[?:?]
	at org.eclipse.osgi.internal.framework.EquinoxEventPublisher.publishBundleEventPrivileged(EquinoxEventPublisher.java:213) ~[?:?]
	at org.eclipse.osgi.internal.framework.EquinoxEventPublisher$1.run(EquinoxEventPublisher.java:124) ~[?:?]
	at org.eclipse.osgi.internal.framework.EquinoxEventPublisher$1.run(EquinoxEventPublisher.java:1) ~[?:?]
	at java.security.AccessController.doPrivileged(Native Method) ~[?:?]
	at org.eclipse.osgi.internal.framework.EquinoxEventPublisher.publishBundleEvent(EquinoxEventPublisher.java:122) ~[?:?]
	at org.eclipse.osgi.internal.framework.EquinoxEventPublisher.publishBundleEvent(EquinoxEventPublisher.java:112) ~[?:?]
	at org.eclipse.osgi.internal.framework.EquinoxContainerAdaptor.publishModuleEvent(EquinoxContainerAdaptor.java:168) ~[?:?]
	at org.eclipse.osgi.container.ModuleContainer.applyDelta(ModuleContainer.java:719) ~[?:?]
	at org.eclipse.osgi.container.ModuleContainer.resolveAndApply(ModuleContainer.java:511) ~[?:?]
	at org.eclipse.osgi.container.ModuleContainer.resolve(ModuleContainer.java:457) ~[?:?]
	at org.eclipse.osgi.container.ModuleContainer.refresh(ModuleContainer.java:1001) ~[?:?]
	at org.eclipse.osgi.container.ModuleContainer$ContainerWiring.dispatchEvent(ModuleContainer.java:1382) ~[?:?]
	at org.eclipse.osgi.container.ModuleContainer$ContainerWiring.dispatchEvent(ModuleContainer.java:1) ~[?:?]
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230) [?:?]
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340) [?:?]
2019-04-16 11:59:25.153 [INFO ] [thome.model.lsp.internal.ModelServer] - Started Language Server Protocol (LSP) service on port 5007
2019-04-16 11:59:25.349 [INFO ] [openhab.ui.paper.internal.PaperUIApp] - Started Paper UI at /paperui
2019-04-16 11:59:25.435 [INFO ] [ebuilder.internal.HomeBuilderServlet] - Started Home Builder at /homebuilder
2019-04-16 11:59:25.513 [INFO ] [panel.internal.HABPanelDashboardTile] - Started HABPanel at /habpanel
2019-04-16 11:59:29.545 [INFO ] [thome.model.lsp.internal.ModelServer] - Started Language Server Protocol (LSP) service on port 5007
2019-04-16 11:59:29.550 [INFO ] [core.karaf.internal.FeatureInstaller] - Uninstalled 'openhab-ui-dashboard'
2019-04-16 12:00:06.234 [INFO ] [thome.model.lsp.internal.ModelServer] - Started Language Server Protocol (LSP) service on port 5007
2019-04-16 12:00:44.475 [INFO ] [panel.internal.HABPanelDashboardTile] - Stopped HABPanel
2019-04-16 12:00:44.489 [INFO ] [openhab.ui.paper.internal.PaperUIApp] - Stopped Paper UI
2019-04-16 12:00:44.503 [INFO ] [ebuilder.internal.HomeBuilderServlet] - Stopped Home Builder
2019-04-16 12:00:44.515 [INFO ] [basic.internal.servlet.WebAppServlet] - Stopped Basic UI
2019-04-16 12:00:44.538 [INFO ] [.dashboard.internal.DashboardService] - Stopped Dashboard
========================================================================================================
2019-04-16 12:07:34.014 [INFO ] [org.openhab.ui.paper                ] - FrameworkEvent INFO - org.openhab.ui.paper
org.osgi.framework.BundleException: The bundle class path entry "patch/" could not be found for the bundle "osgi.identity; type="osgi.bundle"; version:Version="2.5.0.201904160001"; osgi.identity="org.openhab.ui.paper""
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.findClassPathEntry(ClasspathManager.java:174) ~[?:?]
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.buildClasspath(ClasspathManager.java:152) ~[?:?]
	at org.eclipse.osgi.internal.loader.classpath.ClasspathManager.<init>(ClasspathManager.java:81) ~[?:?]
	at org.eclipse.osgi.internal.loader.EquinoxClassLoader.<init>(EquinoxClassLoader.java:43) ~[?:?]
	at org.eclipse.osgi.internal.loader.BundleLoader.createClassLoaderPrivledged(BundleLoader.java:316) ~[?:?]
	at org.eclipse.osgi.internal.loader.BundleLoader.getModuleClassLoader(BundleLoader.java:233) ~[?:?]
	at org.eclipse.osgi.internal.loader.BundleLoader.searchHooks(BundleLoader.java:503) ~[?:?]
	at org.eclipse.osgi.internal.loader.BundleLoader.findResource(BundleLoader.java:600) ~[?:?]
	at org.eclipse.osgi.internal.loader.buddy.DependentPolicy.loadResource(DependentPolicy.java:82) ~[?:?]
	at org.eclipse.osgi.internal.loader.buddy.PolicyHandler.doBuddyResourceLoading(PolicyHandler.java:157) ~[?:?]
	at org.eclipse.osgi.internal.loader.BundleLoader.findResource(BundleLoader.java:649) ~[?:?]
	at org.eclipse.osgi.internal.loader.buddy.DependentPolicy.loadResource(DependentPolicy.java:82) ~[?:?]
	at org.eclipse.osgi.internal.loader.buddy.PolicyHandler.doBuddyResourceLoading(PolicyHandler.java:157) ~[?:?]
	at org.eclipse.osgi.internal.loader.BundleLoader.findResource(BundleLoader.java:649) ~[?:?]
	at org.eclipse.osgi.internal.loader.ModuleClassLoader.getResource(ModuleClassLoader.java:200) ~[?:?]
	at org.eclipse.osgi.internal.framework.EquinoxBundle.getResource(EquinoxBundle.java:532) ~[?:?]
	at org.apache.servicemix.specs.activation.Activator.register(Activator.java:58) ~[?:?]
	at org.apache.servicemix.specs.locator.Activator.start(Activator.java:70) ~[?:?]
	at org.apache.servicemix.specs.activation.Activator.start(Activator.java:46) ~[?:?]
	at org.eclipse.osgi.internal.framework.BundleContextImpl$3.run(BundleContextImpl.java:779) ~[?:?]
	at org.eclipse.osgi.internal.framework.BundleContextImpl$3.run(BundleContextImpl.java:1) ~[?:?]
	at java.security.AccessController.doPrivileged(Native Method) ~[?:?]
	at org.eclipse.osgi.internal.framework.BundleContextImpl.startActivator(BundleContextImpl.java:772) ~[?:?]
	at org.eclipse.osgi.internal.framework.BundleContextImpl.start(BundleContextImpl.java:729) [?:?]
	at org.eclipse.osgi.internal.framework.EquinoxBundle.startWorker0(EquinoxBundle.java:933) ~[?:?]
	at org.eclipse.osgi.internal.framework.EquinoxBundle$EquinoxModule.startWorker(EquinoxBundle.java:309) ~[?:?]
	at org.eclipse.osgi.container.Module.doStart(Module.java:581) ~[?:?]
	at org.eclipse.osgi.container.Module.start(Module.java:449) ~[?:?]
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1634) ~[?:?]
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1614) ~[?:?]
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1585) ~[?:?]
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1528) ~[?:?]
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1) ~[?:?]
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230) [?:?]
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340) [?:?]
2019-04-16 12:07:39.571 [WARN ] [.internal.element.HttpContextElement] - Registered http context [null] did not contain a valid http context id
2019-04-16 12:07:46.391 [INFO ] [thome.model.lsp.internal.ModelServer] - Started Language Server Protocol (LSP) service on port 5007
2019-04-16 12:07:47.031 [INFO ] [.dashboard.internal.DashboardService] - Started Dashboard at http://192.168.0.12:8080
2019-04-16 12:07:47.032 [INFO ] [.dashboard.internal.DashboardService] - Started Dashboard at https://192.168.0.12:8443
2019-04-16 12:07:47.317 [INFO ] [ebuilder.internal.HomeBuilderServlet] - Started Home Builder at /homebuilder
2019-04-16 12:07:47.410 [INFO ] [openhab.ui.paper.internal.PaperUIApp] - Started Paper UI at /paperui
2019-04-16 12:07:47.505 [INFO ] [panel.internal.HABPanelDashboardTile] - Started HABPanel at /habpanel
2019-04-16 12:08:13.706 [INFO ] [.core.internal.i18n.I18nProviderImpl] - Location set to '35.953067,-84.10882529999999'.
2019-04-16 12:10:04.612 [INFO ] [panel.internal.HABPanelDashboardTile] - Stopped HABPanel
2019-04-16 12:10:04.625 [INFO ] [openhab.ui.paper.internal.PaperUIApp] - Stopped Paper UI
2019-04-16 12:10:04.641 [INFO ] [ebuilder.internal.HomeBuilderServlet] - Stopped Home Builder
2019-04-16 12:10:04.658 [INFO ] [basic.internal.servlet.WebAppServlet] - Stopped Basic UI
2019-04-16 12:10:04.698 [INFO ] [.dashboard.internal.DashboardService] - Stopped Dashboard

I can’t help with the specific error. But I can say that it’s not a Java problem me you might part a new thread with a new subject so there right people can see it.

How did that happen. Do you use an addons.cfg file? Usually the system doesn’t out of the blue uninstalls the dashboard.

But apart from that. Does PaperUI work? There seem to be a problem with it, but the log also says that it is started.

What version openhab did you install as I see 2.5 in the log? Is it a snapshot or milestone version?

See my comment in What's wrong with my basic UI.

OK,

Thanks for letting me know.

I will just ignore the error for now